﻿@import './fonts/FluentSystemIcons-Resizable.css';

input:disabled {
    background-color: red;
}
.flexinput {
    display: flex;
    flex-grow: 1;
    flex-wrap: wrap;
    justify-content: start;
    padding: 10px;
    align-items: center;
}



.inputitem {
    flex: 1;
    min-width: 10rem;
    margin: 5px;
}


.floatinput {
    border: 1px solid;
    border-color: #aaa;
    border-radius: 3px;
    margin-top: 4px;
    height: 40px;
    flex: 1;
    min-width: 10rem;
    margin: 5px;
    /*background-color: #fff;*/
    padding: 0 !important;
    --background: none;
    --stroke-width: 0;
    background: none;
    --neutral-stroke-input-rest: none
}

.selectbox {
    border: 1px solid;
    border-color: #aaa;
    border-radius: 3px;
    margin-top: 4px;
    height: 40px;
    flex: 1;
    min-width: 10rem;
    background-color: #fff;
    padding: 0 !important;
    margin: 5px !important;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    /*width: 10rem;*/
    overflow: hidden;
    position: relative;
}

    .selectbox.hasdata {
        border-color: transparent;
        font-weight: 700;
    }

        .selectbox.hasdata:hover {
            border-color: #aaa;
        }

.floatcombo {
    margin: 0;
    padding: 0;
    min-width: 10rem;
    flex: 1;
    /*max-width: 40rem;*/
    /*z-index: 1000;*/
    /*width:100%;*/
    /*position: relative;*/
    border: 1px solid;
    border-color: #aaa;
    border-radius: 3px;
    /*border-color: transparent;*/
    --background: none;
    --stroke-width: 0;
    --neutral-stroke-input-rest: none;
    /*margin-right:-15px;*/
    /*width:100%;*/
    height: 42px;
    margin: 5px;
    width: 100%;
    flex: 1;
}

.floatinput:disabled {
    opacity: 1;
    --stroke-width: 0;
    --background: none;
}

.floatinput.hasdata {
    border-color: transparent;
    --stroke-width: 0;
    --neutral-stroke-input-rest: none;
    --neutral-stroke-control-rest: none;
    font-weight: 700;
}

    .floatinput.hasdata:hover {
        border-color: #aaa;
    }

.floatinput:focus {
    border: 1px solid #1266f1;
    --stroke-width: 0;
}


.floatlabel {
    position: absolute;
    top: 10px;
    z-index: 2;
    padding: 0;
    left: 9px;
    margin: 0;
    font-size: unset;
    display: block;
    visibility: visible;
    background-color: transparent;
    transition: all 0.1s linear;
    color: unset;
}


.hasdata .floatlabel {
    position: absolute;
    top: -5px;
    line-height: 10px;
    left: 9px;
    z-index: 10;
    padding: 0;
    margin: 0;
    font-size: smaller;
    display: block;
    visibility: visible;
    background-color: #fff;
    color: #999;
}


:focus .floatlabel {
    position: absolute;
    top: -5px;
    line-height: 10px;
    left: 9px;
    z-index: 10;
    padding: 0;
    margin: 0;
    font-size: smaller;
    display: block;
    visibility: visible;
    background-color: #fff;
    color: #1266f1;
}



.floatcombo .hasdata {
    /*padding: 10px;*/
    border-color: none !important;
}



.checkgroupv {
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
    height: 100%;
    width: 100%;
}

.checkgrouph {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
}



fluent-combobox::part(listbox),
fluent-select::part(listbox) {
    position: absolute;
    max-height: 200px !important;
    width: 100%;
    min-width: 10rem;
    /*max-width: 40rem;*/
    z-index: 1000;
}

.combolist {
    display: flex;
    flex-direction: column;
    position: fixed;
    width: 10rem;
}


fluent-button {
    height: 40px;
    border: 1px solid;
    border-color: transparent;
    --stroke-width: 0;
}


    fluent-button:hover {
        -webkit-text-stroke-width: thin;
    }
